/*>>keyflag<< "%n"***********************************************************
    "SMPLVIEW.H"

    Copyright (c) 1993-95 Pixel Translations, Incorporated.
    All Rights Reserved.
    Confidential and Proprietary to Pixel Translations, Incorporated.

*****************************************************************************
  TLIB Keywords: %v=version, %d=file date, %f=file date and time, %t=time,
  		 %w=who last, %l=lock status, %n=file name
*****************************************************************************/


/*>>keyflag<< * %n %f %l **/
/* SMPLVIEW.H 05-Aug-96,14:26:56  */

#include <pixwin.h>
#include <string.h>
#include <stdlib.h>
#include "smplprnt.h"

/*
	#define INCLUDE_PRINT_TEST
*/

#define IDM_FILE                  1000

#define IDM_F_OPENFILE             	   1050
#define IDM_F_SAVEFILE				   1051
#define IDM_F_CLOSEFILE				   1052

#define IDM_F_SELECTSCANNER			   1054
#define IDM_F_SETSCANPARAM			   1055
#define IDM_F_SCANPAGE				   1056
#define IDM_F_SCANBATCH				   1057
#define IDM_F_SCANROTBATCH			   1058
#define IDM_F_CANCELSCAN			   1059

#define IDM_F_SETUPPRINT			   1060
#define IDM_F_SCANAREA			   1061

#define IDM_F_CALIBRATE				   1065
#define IDM_F_STOPCALIBRATE			   1066

#define IDM_F_PRINT					   1070
#define IDM_F_PRINT_TEST			   1075
#define IDM_F_PRINT11				   1080

#define IDM_F_EXIT                     1100

#define IDM_ZOOM                  2000

#define IDM_Z_ALLPIXELS11              2050
#define IDM_Z_FITTOWINDOW              2100
#define IDM_Z_FITTOWIDTH               2150
#define IDM_Z_ZOOMIN                   2250
#define IDM_Z_ZOOMOUT                  2300
#define IDM_Z_MIRROR				   2400

#define IDM_ORIENTATION           3000

#define IDM_O_0DEGREESPORTRAIT         3050
#define IDM_O_90DEGREESLANDSCAPE       3100
#define IDM_O_180DEGREES               3150
#define IDM_O_270DEGREES               3200
#define IDM_O_MIRROR				   3300

#define IDM_OPTIONS               4000

#define IDM_O_SCALETOGRAY              4050
#define IDM_O_INVERT                   4100
#define IDM_O_OVERSCANCOLOR            4150
#define IDM_O_BITSWAP                  4200
#define IDM_O_PANWINDOW				   4201

#define IDM_IMAGEQUALITY          6000

#define IDM_I_MOREBLACKHORIZONTAL      6050
#define IDM_I_MOREWHITEHORIZONTAL      6100
#define IDM_I_MOREBLACKVERTICAL        6150
#define IDM_I_MOREWHITEVERTICAL        6200
#define IDM_I_DEFAULTS			       6300

#define IDM_TEST				  6500

#define IDM_T_PATTERN				   6550

#ifdef INCLUDE_NOTES
#define IDM_N_NEW						6901
#define IDM_N_LOAD						6902
#define IDM_N_SAVE						6903
#define IDM_N_CLOSE						6904
#define IDM_N_REDRAW					6905
#define IDM_N_EDIT						6906
#define IDM_N_PIXIF						6907
#endif

#define IDM_L_FIRST                    8001
#define IDM_L_ENGLISH                  8001
#define IDM_L_FRENCH                   8002
#define IDM_L_SPANISH                  8003
#define IDM_L_ITALIAN                  8004
#define IDM_L_GERMAN                   8005
#define IDM_L_SWEDISH                  8006
#define IDM_L_LAST                     8006

#define IDM_ABOUT                 7000

#define IDM_A_ABOUTSMPLVIEW            7050

#define IDS_ERR_REGISTER_CLASS   1
#define IDS_ERR_CREATE_WINDOW    2

/* set scanning area dialog box controls */

#define IDC_HEIGHT   		500
#define IDC_WIDTH    		501
#define IDC_XPOS     		502
#define IDC_YPOS     		503

extern char szString[];   /* variable to load resource strings         */
extern char szAppName[];   /* class name for the window               */

extern HINSTANCE hInst;
extern HWND hWndMain;

extern HANDLE hAccel;

void cwCenter(HWND, int);

LONG PUBLIC_FUNC WndProc(HWND, UINT, WPARAM, LPARAM);
BOOL PUBLIC_FUNC ABOUTMsgProc(HWND, UINT, WPARAM, LPARAM);
int nCwRegisterClasses(void);
void CwUnRegisterClasses(void);
int Check(PixDrvHandlePtr lpDriver, INT32 lCode);
int SetScrollRanges(HWND hWnd, PIXM_SETTINGS pSettings, PIXM_PAGE pPage);
int SmplEnableMenus(HMENU hMenu);
int SmplDisableMenus(HMENU hMenu);
int SmplEnablePageMenus(HMENU hMenu);
int SmplDisablePageMenus(HMENU hMenu);
int PUBLIC_FUNC SmplYield(void);

void DrawTestPattern(
	int bDrawFullPage,
	HWND hWnd,
	PAINTSTRUCT FAR *ps,
	HDC hDC,
	PIXM_PAGE mPage,
	PIXM_SETTINGS pSettings);
void PixmTestReset(
	PIXM_SETTINGS pSettings);
int  PixmTestNext(
	PIXM_SETTINGS pSettings);

